Skip to main content
`Ctrl`+`K`

# numpy.matrix.A

property

property matrix.A

  Return self as an `ndarray` object.

  Equivalent to `np.asarray(self)`.

  Parameters:
    None
  Returns:
    ret ndarray

      self as an `ndarray`

  Examples

      >>> x = np.matrix(np.arange(12).reshape((3,4))); x
      matrix([[ 0,  1,  2,  3],
              [ 4,  5,  6,  7],
              [ 8,  9, 10, 11]])
      >>> x.getA()
      array([[ 0,  1,  2,  3],
             [ 4,  5,  6,  7],
             [ 8,  9, 10, 11]])